import { createStore } from 'vuex'


import { layout } from './retailer/layout';
import { registration } from './gate/registration.module';
import { meProductList } from './retailer/me_product.list';
import { accountOne } from './retailer/account.one';
import { productList } from './retailer/product.list';
import { productOne } from './retailer/product.one';
import { userCartProduct } from './retailer/user_cart.one';
import { auth } from './gate/auth.module';
import { headerCategoryList } from './retailer/header';
import { meProductOne } from './retailer/me_product.one';
import { catalogBrowser } from './retailer/catalog_browser';
import {orderlist} from "./retailer/orderlist"
 
const store = createStore({
  modules: {
    auth,
    registration,
    headerCategoryList,
    layout,
    meProductList,
    accountOne,
    productList,
    productOne,    
    userCartProduct,      
    meProductOne,      
    catalogBrowser,
    orderlist

  }
})

export default store